import { Context } from 'mocha';
import { WebDriver } from 'selenium-webdriver';
import { Config, StorybookGlobals, StoriesRaw, Options } from '../../types';
declare global {
    interface Window {
        __CREEVEY_RESTORE_SCROLL__?: () => void;
        __CREEVEY_UPDATE_GLOBALS__: (globals: StorybookGlobals) => void;
        __CREEVEY_INSERT_IGNORE_STYLES__: (ignoreElements: string[]) => HTMLStyleElement;
        __CREEVEY_REMOVE_IGNORE_STYLES__: (ignoreStyles: HTMLStyleElement) => void;
    }
}
export declare function takeScreenshot(browser: WebDriver, captureElement?: string | null, ignoreElements?: string | string[] | null): Promise<string>;
export declare function updateStorybookGlobals(browser: WebDriver, globals: StorybookGlobals): Promise<void>;
export declare function loadStoriesFromBrowser(): Promise<StoriesRaw>;
export declare function getBrowser(config: Config, options: Options & {
    browser: string;
}): Promise<WebDriver | null>;
export declare function closeBrowser(): Promise<void>;
export declare function switchStory(this: Context): Promise<void>;
